Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Variables
tesseract-c_api-demo Namespace Reference

## Variables

string | lang = "eng"
string | filename = "../phototest.tif"
string | libpath = "/usr/local/lib64/"
string | libpath_w = "../vs2008/DLL_Release/"
string | libname = "libtesseract302.dll"
string | libname_alt = "libtesseract302.dll"
tuple | tesseract = ctypes.cdll.LoadLibrary(libname)
tuple | tesseract_version = tesseract.TessVersion()
tuple | api = tesseract.TessBaseAPICreate()
tuple | rc = tesseract.TessBaseAPIInit3(api, "", lang)
tuple | text_out = tesseract.TessBaseAPIProcessPages(api, filename, None , 0)
tuple | result_text = ctypes.string_at(text_out)

## Variable Documentation

tuple tesseract-c_api-demo.api = tesseract.TessBaseAPICreate()

Definition at line 62 of file tesseract-c_api-demo.py.

string tesseract-c_api-demo.filename = "../phototest.tif"

Definition at line 29 of file tesseract-c_api-demo.py.

string tesseract-c_api-demo.lang = "eng"

Definition at line 28 of file tesseract-c_api-demo.py.

string tesseract-c_api-demo.libname = "libtesseract302.dll"

Definition at line 34 of file tesseract-c_api-demo.py.

string tesseract-c_api-demo.libname_alt = "libtesseract302.dll"

Definition at line 35 of file tesseract-c_api-demo.py.

string tesseract-c_api-demo.libpath = "/usr/local/lib64/"

Definition at line 30 of file tesseract-c_api-demo.py.

string tesseract-c_api-demo.libpath_w = "../vs2008/DLL_Release/"

Definition at line 31 of file tesseract-c_api-demo.py.

tuple tesseract-c_api-demo.rc = tesseract.TessBaseAPIInit3(api, "", lang)

Definition at line 63 of file tesseract-c_api-demo.py.

tuple tesseract-c_api-demo.result_text = ctypes.string_at(text_out)

Definition at line 70 of file tesseract-c_api-demo.py.

tuple tesseract-c_api-demo.tesseract = ctypes.cdll.LoadLibrary(libname)

Definition at line 42 of file tesseract-c_api-demo.py.

tuple tesseract-c_api-demo.tesseract_version = tesseract.TessVersion()

Definition at line 53 of file tesseract-c_api-demo.py.

tuple tesseract-c_api-demo.text_out = tesseract.TessBaseAPIProcessPages(api, filename, None , 0)

Definition at line 69 of file tesseract-c_api-demo.py.